extends Node2D

## I need the signal-emitter to be the root node of this scene and when I 
## tried to just move the script it broke the stonk line so here this is I guess lol

signal buy(amount: Variant)
signal sell(amount: Variant)

var fish_name: String

func _on_stonks_buy(amount: Variant) -> void:
	print("-$%s" % amount.toString())
	buy.emit(amount)


func _on_stonks_sell(amount: Variant) -> void:
	print("+$%s" % amount.toString())
	sell.emit(amount)
	

# Scope creep!
func start():
	$Timer.start()
	get_window().title = fish_name


func set_icon(sprite: Sprite2D):
	$Node2D/Sprite2D.texture = sprite.texture


func _on_fishin_fish_chosen(fish_sprite: Sprite2D, fish_name: String) -> void:
	$Sprite2D.texture = fish_sprite.texture
	self.fish_name = fish_name
	
